Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.servlet
Class Servlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.any23.servlet.Servlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class Servlet

extends javax.servlet.http.HttpServlet

A Servlet that fetches a client-specified URI, RDFizes the content, and returns it in a format chosen by the client.

Author:
  Gabriele Renzi, Richard Cyganiak (richard@cyganiak.de)
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_BASE_URI`

Constructor Summary
`Servlet()`

Method Summary
`protected DocumentSource` | `createHTTPDocumentSource(HTTPClient httpClient, String uri)`
`protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BASE_URI

    public static final String DEFAULT_BASE_URI

See Also:
  Constant Field Values

Constructor Detail

### Servlet

    public Servlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse resp)
                  throws IOException,
                         javax.servlet.ServletException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse resp)
                   throws IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `IOException`

### createHTTPDocumentSource

    protected DocumentSource createHTTPDocumentSource(HTTPClient httpClient,
                                                      String uri)
                                               throws IOException,
                                                      URISyntaxException

  Throws:
    `IOException`
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.